###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2006 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: gfs2-utils
Version: 0.1.0
Release: 1.fc6.2
License: GPL
Group: System Environment/Kernel
Summary: Utilities for managing the global filesystem (GFS)
#BuildRequires: iddev-devel
ExclusiveArch: %{ix86} x86_64
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires: ncurses
BuildRequires: ncurses-devel
BuildRequires: glibc-kernheaders
URL: http://sources.redhat.com/cluster/
Source0: gfs2-utils-%{version}.tar.gz
Patch1: gfs2-utils-norun.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
The gfs2-utils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in GFS
filesystems.

%prep
%setup -q -n gfs2-utils-%{version}
%patch1 -p1 -b .norun

%build
cd gfs
./configure --kernel_src=/usr --libdir=%{_libdir}
cd libgfs
make
cd ../../

cd gfs2
./configure --kernel_src=/usr --libdir=%{_libdir}
sed -i '/RELEASE_MAJOR/s/= .*/= 0/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= 1.0/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %{version}/' make/defines.mk
make

%post
/sbin/chkconfig --add gfs2

%preun
if ["$1" = 0 ]; then
	/sbin/chkconfig --del gfs
fi

%install
rm -rf $RPM_BUILD_ROOT
cd gfs2
make copytobin
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/sbin/*
/etc/rc.d/init.d/gfs2

%{_mandir}/*/*

%changelog
* Fri Jun 09 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-1.fc6.1
- Initial build of gfs-utils.
